Package org.eclipse.birt.report.model.api.elements.structures

# Class SortHint

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.core.PropertyStructure
org.eclipse.birt.report.model.api.elements.structures.SortHint

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class SortHint extends org.eclipse.birt.report.model.core.PropertyStructure
This class represents a sort hint.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COLUMN_NAME_MEMBER`
Name of the column name member.
`static final String`
`DIRECTION_MEMBER`
Name of the direction member.
`static final String`
`IS_OPTIONAL_MEMBER`
Name of the isOptional member.
`static final String`
`NULL_VALUE_ORDERING_MEMBER`
Name of the nullValueOrdering member.
`static final String`
`POSITION_MEMBER`
Name of the column position member.
`static final String`
`SORT_HINT_STRUCT`
Name of this structure.

### Fields inherited from class org.eclipse.birt.report.model.core.PropertyStructure

`propValues`

## Constructor Summary

Constructors
Constructor
Description
`SortHint()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getStructName()`
Returns the name of the structure definition.
`protected StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`List<SemanticException>`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validates this structure.

### Methods inherited from class org.eclipse.birt.report.model.core.PropertyStructure

`clone, getIntrinsicProperty, getLocalProperty, getLocalProperty, setIntrinsicProperty, setProperty`

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setupContext, updateReference`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SORT_HINT_STRUCT

public static final String SORT_HINT_STRUCT
Name of this structure. Matches the definition in the meta-data dictionary.

See Also:
  - Constant Field Values

### COLUMN_NAME_MEMBER

public static final String COLUMN_NAME_MEMBER
Name of the column name member. This member keys the column hint to a column within the result set.

See Also:
  - Constant Field Values

### POSITION_MEMBER

public static final String POSITION_MEMBER
Name of the column position member. It is 1-based index position (left-to-right order) of a result set column.

See Also:
  - Constant Field Values

### DIRECTION_MEMBER

public static final String DIRECTION_MEMBER
Name of the direction member. It is sort direction of the result set column.

See Also:
  - Constant Field Values

### NULL_VALUE_ORDERING_MEMBER

public static final String NULL_VALUE_ORDERING_MEMBER
Name of the nullValueOrdering member. The ordering of null vs. non-null values in the sort order.

See Also:
  - Constant Field Values

### IS_OPTIONAL_MEMBER

public static final String IS_OPTIONAL_MEMBER
Name of the isOptional member. It indicates whether this sort key can be excluded at runtime.

See Also:
  - Constant Field Values

## Constructor Details

### SortHint

public SortHint()

## Method Details

### handle

protected StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### validate

public List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Validates this structure. The following are the rules:

- If a column can only be identified by position, this name may be empty.

Overrides:
  `validate` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `module` - the module
  `element` - the element contains this structure
Returns:
  the semantic error list
See Also:
  - `Structure.validate(Module, org.eclipse.birt.report.model.core.DesignElement)`